using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Init(object sender, EventArgs e)
    {
        this.EmployeesDetails.DataFile = Server.MapPath("\\Syncfusion\\Web\\Data\\NWind.MDB");
        this.CustomersDetails.DataFile = Server.MapPath("\\Syncfusion\\Web\\Data\\NWind.MDB");
        this.GridGroupingControl1.DataSource = EmployeesDetails;
        this.GridGroupingControl2.DataSource = CustomersDetails; 
        GridTableDescriptor maintd = this.GridGroupingControl1.TableDescriptor;
        maintd.PrimaryKeyColumns.Add("EmployeeID");
        GridTableDescriptor maintd1 = this.GridGroupingControl2.TableDescriptor;
        maintd1.PrimaryKeyColumns.Add("CustomerID");
    }
    protected void CallbackPanel1_CallbackRefresh(object sender, Syncfusion.Web.UI.WebControls.Tools.CancellableCallbackEventArgs e)
    {
        //Changes the Grid height on Callback refresh 
        this.GridGroupingControl1.Height =  500;
        this.GridGroupingControl2.Height = 500;
   }
}
