﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Syncfusion.Grid.Grouping.Web, Version=4.402.0.51, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping" TagPrefix="sfwg" %>
<%@ Register Assembly="Syncfusion.Shared.Web, Version=4.402.0.51, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Web.UI.WebControls.Tools" TagPrefix="ssw" %>
<%@ Register Assembly="Syncfusion.Shared.Base, Version=4.402.0.51, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Styles" TagPrefix="cc1" %>
<%@ Register Assembly="Syncfusion.Grid.Windows, Version=4.402.0.51, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Windows.Forms.Grid" TagPrefix="cc2" %>
<%@ Register Assembly="Syncfusion.Grouping.Base, Version=4.402.0.51, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Grouping" TagPrefix="cc3" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
      <script type="text/javascript">
       function OnRefresh(param) 
       {  
             // Here we want to send a callback to the CallbackPanel1 with some argument. 
             // The server can update the panel contents and let it be refreshed. 
             // See CallbackPanel1_CallbackRefresh event) for more info
             //Note:if you happen to use the callbackpanel control within a UserControl or a MasterPage then         
             //the client object instance name will be scoped by the UserControl instance's id 
             // In this sample if the UserControl’s id is "WebUserControl1", then the callbackpanel’s client instance can be invoked as "__sfWebUserControl1_CallbackPanel1.callback(param);"
                __sfCallbackPanel1.callback(null);
                return false;
       }
  </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        &nbsp;
     <ssw:CallbackPanel ID="CallbackPanel1" runat="server" OnCallbackRefresh="CallbackPanel1_CallbackRefresh">
          <sfwg:GridGroupingControl ID="GridGroupingControl1" runat="server" EnableCallbacks="True"
            EnablePostbacks="true" DataMember="DefaultView" DataSourceID="EmployeesDetails">
            <appearance>
              <AnyRecordFieldCell Interior="Solid; 204, 212, 230"></AnyRecordFieldCell>
              <AlternateRecordFieldCell Interior="Solid; 252, 172, 38"></AlternateRecordFieldCell>
            </appearance>
          </sfwg:GridGroupingControl>
          <sfwg:GridGroupingControl ID="GridGroupingControl2" runat="server" EnableCallbacks="True"
            EnablePostbacks="true" DataMember="DefaultView" DataSourceID="EmployeesDetails">
            <appearance>
              <AnyRecordFieldCell Interior="Solid; 204, 212, 230"></AnyRecordFieldCell>
              <AlternateRecordFieldCell Interior="Solid; 252, 172, 38"></AlternateRecordFieldCell>
            </appearance>
          </sfwg:GridGroupingControl>
          <asp:Button ID="button1" runat=server Text="ChangeHeight" OnClientClick="javascript:OnRefresh('null');return false;" />   
        </ssw:CallbackPanel>
        <ssw:CallbackMultiplexer ID="CallbackMultiplexer1" runat="server"/>
     <asp:AccessDataSource ID="EmployeesDetails" runat="server" SelectCommand="SELECT [EmployeeID], [LastName], [FirstName], [City], [Country], [Extension], [HomePhone] FROM [Employees]">
        </asp:AccessDataSource>
    <asp:AccessDataSource ID="CustomersDetails" runat="server" SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [City], [Country], [Phone] FROM [Customers]">
        </asp:AccessDataSource>

    </div>
    </form>
</body>
</html>
